#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 17. Networking Libraries

- Prev

  libsoup-2.74.3

- Next

  libtirpc-1.3.6

- Up
- Home

# libsoup-3.6.4

## Introduction to libsoup3

The libsoup3 is a HTTP client/server library for GNOME. It uses GObject and the GLib main loop to integrate with GNOME applications and it also has an asynchronous API for use in threaded applications.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libsoup/3.6/libsoup-3.6.4.tar.xz

- Download MD5 sum: b42bfcd87a78b82272d2004976e10766

- Download size: 1.5 MB

- Estimated disk space required: 37 MB (with tests)

- Estimated build time: 0.3 SBU (Using parallelism=4; with tests)

### libsoup3 Dependencies

#### Required

glib-networking-2.80.1, libpsl-0.21.5, libxml2-2.13.6, nghttp2-1.64.0, and SQLite-3.49.1

#### Recommended

GLib-2.82.5 (with GObject Introspection) and Vala-0.56.17

#### Optional

Apache-2.4.63 (required to run the test suite), Brotli-1.1.0, cURL-8.12.1 (required to run the test suite), Gi-DocGen-2025.3, MIT Kerberos V5-1.21.3 (required to run the test suite), PHP-8.4.4 compiled with XMLRPC-EPI support (only used for the XMLRPC regression tests), Samba-4.21.4 (ntlm_auth is required to run the test suite), sysprof, and wstest

## Installation of libsoup3

Fix the installation path of API documentation:

    sed 's/apiversion/soup_version/' -i docs/reference/meson.build

Install libsoup3 by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr          \
                --buildtype=release    \
                --wrap-mode=nofallback \
                ..                     &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`--wrap-mode=nofallback`: This switch prevents meson from using subproject fallbacks for any dependency declarations in the build files, preventing it from downloading any optional dependencies which are not installed on the system.

`-D docs=enabled`: If Gi-DocGen-2025.3 is installed, the API documentation will be built and installed no matter if this option is used or not. This option causes the meson command to fail if Gi-DocGen-2025.3 is not installed.

## Contents

Installed Programs: None
Installed Libraries: libsoup-3.0.so
Installed Directories: /usr/include/libsoup-3.0, /usr/share/doc/libsoup-3.6.4 (only installed if gi-docgen is available)

### Short Descriptions

`libsoup-3.0.so` | provides functions for asynchronous HTTP connections

- Prev

  libsoup-2.74.3

- Next

  libtirpc-1.3.6

- Up
- Home